Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Interface Relation

All Superinterfaces:
  Base, DataElement, Type

All Known Implementing Classes:
  SemanticRelation, SpecieReference

public interface Relation
extends Base

Intermediary class to generalize what is common for all relations/edges as well as to define common constants.

Field Summary
`static java.lang.String` | `PARTICIPATION_DIRECT`
`static java.lang.String` | `PARTICIPATION_INDIRECT`
`static java.lang.String` | `PARTICIPATION_UNKNOWN`

Fields inherited from interface biouml.standard.type.Type
`CONSTANT, DATABASE_INFO, DIAGRAM_INFO, MATH, MATH_EQUATION, MATH_EVENT, MATH_FUNCTION, MATH_STATE, MATH_TRANSITION, TYPE_CELL, TYPE_CHEMICAL_ROLE, TYPE_COMPARTMENT, TYPE_CONCEPT, TYPE_DIAGRAM_REFERENCE, TYPE_FUNCTION, TYPE_GENE, TYPE_MOLECULE, TYPE_NOTE, TYPE_NOTE_LINK, TYPE_PROCESS, TYPE_PROTEIN, TYPE_REACTION, TYPE_RELATION, TYPE_RNA, TYPE_SEMANTIC_RELATION, TYPE_STATE, TYPE_SUBSTANCE, TYPE_UNKNOWN`

Method Summary
`java.lang.String` | `getParticipation()`

Methods inherited from interface biouml.standard.type.Base
`getTitle, getType`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Field Detail

### PARTICIPATION_DIRECT

    public static final java.lang.String PARTICIPATION_DIRECT

See Also:
  Constant Field Values

### PARTICIPATION_INDIRECT

    public static final java.lang.String PARTICIPATION_INDIRECT

See Also:
  Constant Field Values

### PARTICIPATION_UNKNOWN

    public static final java.lang.String PARTICIPATION_UNKNOWN

See Also:
  Constant Field Values

Method Detail

### getParticipation

    public java.lang.String getParticipation()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.